Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.engine.api
Class CachedImage

    java.lang.Object
      org.eclipse.birt.report.engine.api.CachedImage

    public class CachedImage

extends java.lang.Object

Cached Image Created by the IHTMLImageHandler. Before call the IHTMLImageHandler to generate the image, the report engine will first ask the handler if there exits a cache for that image. If the cache finded, the report engine will use that cache directly and won't request the handle to create the new image instance any more.

Constructor Summary
`CachedImage()` create an empty cache.
`CachedImage(java.lang.String id, java.lang.String url)` create a instance of cached image.

Method Summary
`java.lang.String` | `getID()` get the id of the image.
`java.lang.String` | `getImageMap()` get the image map of the image.
`ImageSize` | `getImageSize()` get the image size
`java.lang.String` | `getMIMEType()` get the mime type of the image.
`java.lang.String` | `getURL()` get the URL of the cached image.
`void` | `setID(java.lang.String id)` set the id of the cached image.
`void` | `setImageMap(java.lang.String imageMap)` set the image map of the image.
`void` | `setImageSize(ImageSize size)` set the image size
`void` | `setMIMEType(java.lang.String mimeType)` set the mime type of the image.
`void` | `setURL(java.lang.String url)` set the image URL.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CachedImage

    public CachedImage()

  create an empty cache.

### CachedImage

    public CachedImage(java.lang.String id,
                       java.lang.String url)

  create a instance of cached image.

  Parameters:
    `id` - id of the image.
    `url` - url of the image

Method Detail

### setID

    public void setID(java.lang.String id)

  set the id of the cached image.

  Parameters:
    `id` - id of the image.

### getID

    public java.lang.String getID()

  get the id of the image.

  Returns:
    id of the image.

### getURL

    public java.lang.String getURL()

  get the URL of the cached image. The image content can be reterive from that URL.

  Returns:
    url of the image.

### setURL

    public void setURL(java.lang.String url)

  set the image URL.

  Parameters:
    `url` - url which refer to the image

### getImageMap

    public java.lang.String getImageMap()

  get the image map of the image. the image map represents in HTML format.

  Returns:
    the image map of the image.

### setImageMap

    public void setImageMap(java.lang.String imageMap)

  set the image map of the image. the image map is in HTML format.

  Parameters:
    `imageMap` - image map in HTML format.

### getMIMEType

    public java.lang.String getMIMEType()

  get the mime type of the image.

  Returns:
    the mime type.

### setMIMEType

    public void setMIMEType(java.lang.String mimeType)

  set the mime type of the image.

  Parameters:
    `mimeType` - the mime type of the image

### getImageSize

    public ImageSize getImageSize()

  get the image size

### setImageSize

    public void setImageSize(ImageSize size)

  set the image size

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.